-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class LINK2[E]
   --
   -- To implement LINK2_LIST[E].
   --

inherit LINK[E] rename make as link_make end;
   
creation {LINK2_LIST}
   make

feature {LINK2_LIST,LINK2}
   
   previous: like Current;

feature {LINK2_LIST}

   make(i: like item; p: like previous; n: like next) is
      do
	 item := i;
	 previous := p;
	 next := n;
      ensure
	 item = i;
	 previous = p;
	 next = n
      end;
   
feature {LINK2_LIST,LINK2}

   set_previous(p: like previous) is
      do
	 previous := p;
      ensure
	 previous = p
      end;

end -- LINK2[E]

