-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
expanded class AUX_JMJ5

feature 

   x, y: INTEGER

feature 

   set(nx, ny: like x) is
      do
         x := nx;
         y := ny;
      ensure 
         x = nx;
	 y = ny
      end; 

   next_towards(target: like Current) : like Current is
      do
         Result.set(target.x-1,target.y-1)
      end

    test is
      local
         h1,h2, next, h3: like Current
      do
         h1.set(3,3);
	 h2.set(2,6);
	 next.set(1,5)
	 if h1.next_towards(h2) = next then
	 else
	    std_output.put_string("TEST_JMJ5: ERROR Test #1%N");
	 end;
	 h3 := h1.next_towards(h2);
	 if h3 = next then
	 else
	    std_output.put_string("TEST_JMJ5: ERROR Test #2%N");
	 end;
      end

end -- AUX_JMJ5
