-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_BIT1

creation make
   
feature
   
   make is
      local
	 b2: BIT 2;
	 b8: BIT 8;
      do
	 is_true(b2.count = 2);
	 is_true(not b2.item(1));
	 is_true(not b2.item(2));
	 b2.put(true,1);
	 is_true(b2.item(1));
	 is_true(not b2.item(2));
	 b2.put(false,1);
	 is_true(not b2.item(1));
	 is_true(not b2.item(2));
	 b2.put(true,2);
	 is_true(not b2.item(1));
	 is_true(b2.item(2));

	 b8 := 000011B
	 is_true(b8.count = 8);
	 is_true(b8.item(7));
	 is_true(b8.item(8));
	 is_true(not b8.item(6));

	 b2 := 00B;
	 b8 := b2;
	 is_true(not b8.item(7));
	 is_true(not b8.item(8));
	 is_true(not b8.item(6));

      end;
   
   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_BIT1: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	    crash;
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end
