-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_BIT10

creation make

feature 

   make is
      local
	 ccrc : BIT 8;
      do
	 ccrc := 00000001B;
	 is_true(not ccrc.item(1));
	 is_true(not ccrc.item(2));
	 is_true(not ccrc.item(3));
	 is_true(not ccrc.item(4));
	 is_true(not ccrc.item(5));
	 is_true(not ccrc.item(6));
	 is_true(not ccrc.item(7));
	 is_true(    ccrc.item(8));

	 ccrc := 00000010B;
	 is_true(not ccrc.item(1));
	 is_true(not ccrc.item(2));
	 is_true(not ccrc.item(3));
	 is_true(not ccrc.item(4));
	 is_true(not ccrc.item(5));
	 is_true(not ccrc.item(6));
	 is_true(    ccrc.item(7));
	 is_true(not ccrc.item(8));
      end

feature {NONE}
   
   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_BIT10: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;

end 
