-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_BIT13

creation make

feature 

   make is
      local
	 bit_a, bit_b : BIT 8;
      do
	 bit_a := 11111111B;
	 bit_b := 10101010B;
	 bit_a := bit_b;
	 is_true(    bit_a.item(1));
	 is_true(not bit_a.item(2));
	 is_true(    bit_a.item(3));
	 is_true(not bit_a.item(4));
	 is_true(    bit_a.item(5));
	 is_true(not bit_a.item(6));
	 is_true(    bit_a.item(7));
	 is_true(not bit_a.item(8));

      end

feature {NONE}
   
   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_BIT13: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    --std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;

end 
