-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_BIT19

creation make
   
feature
   
   make is
      local
         b8: BIT 8;
	 b12: BIT 12;
      do
	 b8 := 11111111B;
	 b8 := b8 ^ 1;
	 is_true(b8 = 01111111B);
	 b8 := b8 ^ -1;
	 is_true(b8 = 11111110B);

	 b8 := 11111111B;
	 b8 := b8 @>> 1;
	 is_true(b8 = 01111111B);
	 b8 := b8 @<< 1;
	 is_true(b8 = 11111110B);

	 
	 b8 := 10101010B;
	 b8 := b8 # 1;
	 is_true(b8 = 01010101B);
	 b8 := b8 # -1;
	 is_true(b8 = 10101010B);


	 b8 := 10101010B;
	 b8 := b8 #>> 2;
         is_true(b8 = 10101010B);
	 is_true((10101010B #>> 2) = 10101010B);
	 is_true((00001111B #>> 4) = 11110000B);
	 is_true((00001111B #>> 2) = 11000011B);
	 is_true((111100001111B).item(1));
	 is_true((111100001111B).item(4));
	 is_true((111100001111B).item(9));
	 is_true((111100001111B).item(12));
	 b12 := 000011111111B #>> 4;
	 is_true(    b12.item(01));
	 is_true(    b12.item(02));
	 is_true(    b12.item(03));
	 is_true(    b12.item(04));
	 is_true(not b12.item(05));
	 is_true(not b12.item(06));
	 is_true(not b12.item(07));
	 is_true(not b12.item(08));
	 is_true(    b12.item(09));
	 is_true(    b12.item(10));
	 is_true(    b12.item(11));
	 is_true(    b12.item(12));
      end;

feature {NONE}

   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_BIT19: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	    crash;
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end

