-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_BIT20

creation make
   
feature
   
   make is 
      local
	 b8: BIT 8;
         b16: BIT 16;
      do
	 b8 := 01010101B;
	 b8 := b8 xor b8;
	 is_true(b8 = 00000000B);

         b16 := b8 or 11111111B;
	 is_true(b16 = 0000000011111111B);

	 b8 := 11111111B;
	 b8 := not b8;
	 is_true(b8 = 00000000B);

	 is_true(b8 = (b8 and b8));

         b8 := 11111111B implies 00000000B;
         is_true(b8 = 00000000B);
      end;

feature {NONE}

   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_BIT20: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	    crash;
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end

