-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_BIT6

creation make
   
feature
   
   make is
      local
	 i: INTEGER;
         b1, b2: BIT 70;
      do
	 is_true(str70.count = 70);
	 is_true(bit70.count = 70);
	 from
	    i := str70.count;
	 until
	    i = 0
	 loop
	    if str70.item(i) = '1' then
	       is_true(bit70.item(i));
	    else
	       is_true(not bit70.item(i));
	    end;
	    i := i - 1;
	 end;

         is_true(b1 = b2);
         is_true(not (b1 /= b2));

         b1 := bit70;
         is_true(not (b1 = b2));
         is_true(b1 /= b2);

         b2 := bit70;
         is_true(b1 = b2);
         is_true(not (b1 /= b2));

	 is_true(not b2.item(1));
	 b2.put(false,1);
	 is_true(not b2.item(1));
         is_true(b1 = b2);
         is_true(not (b1 /= b2));

	 b2.put_1(1);
	 is_true(b2.item(1));
         is_true(not (b1 = b2));
         is_true(b1 /= b2);

	 b2.put(false,69);
         is_true(not (b1 = b2));
         is_true(b1 /= b2);

	 b2.put(true,69);
         b1.put_1(1);
         is_true(b1 = b2);
         is_true(not (b1 /= b2));

	 b1 := bit70;
	 from
	    i := str70.count;
	 until
	    i = 0
	 loop
	    if str70.item(i) = '1' then
	       b1.put_0(i);
	    else
	       b1.put_1(i);
	    end;
	    i := i - 1;
	 end;
	 from
	    i := str70.count;
	 until
	    i = 0
	 loop
	    if str70.item(i) = '1' then
	       is_true(not b1.item(i));
	    else
	       is_true(b1.item(i));
	    end;
	    i := i - 1;
	 end;
      end;

feature {NONE}

   str70: STRING is 
   "0011111111111000101010101111111100100100100100000000111111111111111111";
   
   bit70: BIT 70 is
    0011111111111000101010101111111100100100100100000000111111111111111111B;

   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_BIT6: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	    crash;
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end -- TEST_BIT6
