-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_DICTIONARY2

creation {ANY}
   make
   
feature {ANY}
   
   k1: STRING is "k1";
   k2: STRING is "k2";
   k3: STRING is "k3";
   k4: STRING is "k4";

   v1: STRING is "v1";
   v2: STRING is "v2";
   v3: STRING is "v3";
   v4: STRING is "v4";

   make is
      local
	 d: DICTIONARY[STRING,STRING];
	 k, v: STRING;
	 i: INTEGER;
	 v_list, k_list: ARRAY[STRING];
      do
         !!d.make;
         d.put(v1,k1);
         d.put(v2,k2);
         d.put(v3,k3);
         d.put(v4,k4);
	 from  
	    v_list := <<v1,v2,v3,v4>>;
	    k_list := <<k1,k2,k3,k4>>;
	    i := 1;
	 invariant
	    v_list.count = k_list.count;
	 variant
	    v_list.count - 1
	 until
	    i > d.count	 
	 loop
	    v := d.item(i);
	    k := d.key(i);
	    v_list.remove(v_list.fast_index_of(v));
	    k_list.remove(k_list.fast_index_of(k));
	    i := i + 1
	 end;
	 is_true(v_list.empty);
	 is_true(k_list.empty);
      end;
   
   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_DICTIONARY2: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
--	    std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end -- TEST_DICTIONARY2
