-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_DOUBLE4

creation {ANY}
   make
   
feature {ANY}
   
   make is
      local
	 d: DOUBLE;
	 i: INTEGER;
	 r: REAL;
      do
	 i := 2;
	 is_true(i.sign = 1);
	 i := -2;
	 is_true(i.sign = -1);
	 is_true((0).sign = 0);

	 r := 2;
	 is_true(r.sign = 1);
	 r := -2;
	 is_true(r.sign = -1);
	 is_true((0.0).sign = 0);

	 d := 2;
	 is_true(d.sign = 1);
	 d := -2;
	 is_true(d.sign = -1);
	 d := 0;
	 is_true(d.sign = 0);

	 d := 3.5;
	 is_true(d.floor = 3);
	 is_true(d.ceiling = 4);
      
	 d := -3.5;
	 is_true(d.floor = -4);
	 is_true(d.ceiling = -3);
     
	 d := 2.0;
      	 is_true(d.floor = 2);
	 is_true(d.ceiling = 2);


	 is_true((0.4).to_double.truncated_to_integer = 0);
	 is_true((0.51).to_double.truncated_to_integer = 0);
	 is_true((1.49).to_double.truncated_to_integer = 1);
	 is_true((1.51).to_double.truncated_to_integer = 1);
	 
	 is_true((-0.4).to_double.truncated_to_integer = -1);
	 is_true((-0.51).to_double.truncated_to_integer = -1);
	 is_true((-1.49).to_double.truncated_to_integer = -2);
	 is_true((-1.51).to_double.truncated_to_integer = -2);

	 is_true((0.4).to_double.rounded = 0);
	 is_true((0.51).to_double.rounded = 1);
	 is_true((1.49).to_double.rounded = 1);
	 is_true((1.51).to_double.rounded = 2);
	 
	 is_true((-0.4).to_double.rounded = 0);
	 is_true((-0.51).to_double.rounded = -1);
	 is_true((-1.49).to_double.rounded = -1);
	 is_true((-1.51).to_double.rounded = -2);
      end;
   
   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_DOUBLE4: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end -- TEST_DOUBLE4
