-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_DOUBLE5

creation make
   
feature 
   
   make is
      local
	 d, d1, d2: DOUBLE;
	 str: STRING;
      do
	 d := 0.2222222222;
	 str := d.to_string_format(3);
	 is_true(("0.222").is_equal(str));
	 str := d.to_string_format(1);
	 is_true(("0.2").is_equal(str));
	 d := 0.6;
	 is_true(d.double_floor = 0.0);

	 d1 := -1.0;
	 d2 := 1.0;
	 is_true(d1 < d2);
	 is_true(d1 <= d2);
	 is_true(d2 > d1);
	 is_true(d2 >= d1);
      end;
   
   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_DOUBLE5: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	    crash;
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end 
