-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_EG3
   -- From a bug report of Enrico GOBBETTI

creation make

feature

   a4: AUX_EG3_B;

   make is
      local
	 a1, a2, a3: AUX_EG3_B;
      do
	 a1.set_x(1.0);
	 a2.set_x(2.0);
	 a3:= a1 + a2;
	 
	 is_true(a1.x = 1.0);
	 is_true(a2.x = 2.0);
	 is_true(a3.x = 3.0);

	 !!a3;
	 is_true(a3.x = 0.0);

	 a4 := a2;
	 is_true(a4.x = 2.0);
	 is_true(a4 = a2);
	 !!a4;
	 is_true(a4.x = 0.0);

      end;
   
   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_EG3: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;

end
