-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_FIXED_ARRAY1

creation make
   
feature
   
   fai: FIXED_ARRAY[INTEGER];
   
   make is
      local
	 i: INTEGER;
      do
	 !!fai.make(3);
	 is_true(fai.count = 3);
	 is_true(fai.upper = 2);
	 is_true(fai.lower = 0);
	 from
	    i := fai.upper;
	 until
	    i < 0
	 loop
	    is_true(fai.item(i) = 0);
	    fai.put(i,i);
	    i := i - 1;
	 end;
	 from
	    i := fai.upper;
	 until
	    i < 0
	 loop
	    is_true(fai.item(i) = i);
	    i := i - 1;
	 end;
      end;
   
   is_true(bool: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not bool then
	    std_output.put_string("TEST_FIXED_ARRAY1: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end -- TEST_FIXED_ARRAY1
