-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_INDEX_OF1

creation make
   
feature 
   
   make is
      local
	 a: ARRAY[INTEGER];
	 fa: FIXED_ARRAY[INTEGER];
	 ll: LINK_LIST[INTEGER];
	 l2l: LINK2_LIST[INTEGER];
      do
	 !!a.from_collection(<<1,2,3>>);
	 test(a);
	 
	 !!fa.from_collection(<<1,2,3>>);
	 test(fa);

	 !!ll.from_collection(<<1,2,3>>);
	 test(ll);

	 !!l2l.from_collection(<<1,2,3>>);
	 test(l2l);
      end;

feature {NONE}

   test(c: COLLECTION[INTEGER]) is
      do
	 is_true(c.count = 3);
	 is_true(c.index_of(1) = c.lower + 0);
	 is_true(c.index_of(2) = c.lower + 1);
	 is_true(c.index_of(3) = c.lower + 2);
	 is_true(c.index_of(4) = c.lower + 3);
	 is_true(c.fast_index_of(1) = c.lower + 0);
	 is_true(c.fast_index_of(2) = c.lower + 1);
	 is_true(c.fast_index_of(3) = c.lower + 2);
	 is_true(c.fast_index_of(4) = c.lower + 3);
	 c.clear;
	 is_true(c.count = 0);
	 is_true(c.index_of(1) = c.lower);
      end;

   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_INDEX_OF1: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	    crash;
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end
