-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_INLINING4

creation make

feature

   make is
      local
	 aux: AUX_INLINING4;
	 i: INTEGER;
	 s: STRING;
      do
	 !AUX_INLINING4A!aux.make(4,"foo");
	 i := aux.read_attribute_integer;
	 is_true(i = 4);
	 s := aux.read_attribute_string;
	 is_true(s.is_equal("foo"));

	 !AUX_INLINING4B!aux.make(4,"foo");
	 i := aux.read_attribute_integer;
	 is_true(i = 4);
	 s := aux.read_attribute_string;
	 is_true(s.is_equal("foo"));
      end;

feature {NONE}

   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_INLINING4: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end
