-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_INLINING5

creation make

feature

   make is
      do
	 a1 := Current;
	 a2 := Current;
	 a3 := Current;
	 a4 := 1;

	 is_true(f4 = 1);
	 is_true(f3 = 1);
	 is_true(f2 = 1);
	 is_true(f1 = 1);

      end;

feature {TEST_INLINING5}

   a1: like Current;

   f1: INTEGER is
      do
	 Result := a1.f2;
      end;

   a2: like Current;

   f2: INTEGER is
      do
	 Result := a2.f3;
      end;

   a3: like Current;

   f3: INTEGER is
      do
	 Result := a3.f4;
      end;

   a4: INTEGER;

   f4: INTEGER is
      do
	 Result := a4;
      end;

feature {NONE}

   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_INLINING5: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end
