-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_MANIFEST_ARRAY7

creation {ANY}
   make
   
feature {ANY}

   t_double: ARRAY[DOUBLE];
   t_boolean: ARRAY[BOOLEAN];
   t_integer: ARRAY[INTEGER];
   t_animal: ARRAY[ANIMAL];
   t_any: ARRAY[ANY];
		
   make is
      local
	 cat: CAT;
      do
	 t_boolean := <<true, false>>;
	 t_integer := <<1,2,3>>;
	 t_double := <<1,2,3>>;
	 is_true(equal(t_double,t_integer));

	 !!cat;
	 t_any := <<cat,cat>>;
	 t_animal := <<cat,cat>>;
	 
	 is_true(equal(t_any,t_animal));
	 is_true(t_any.first = t_animal.first);
      end;
   
   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_MANIFEST_ARRAY7: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end -- TEST_MANIFEST_ARRAY7

