-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_NATIVE_ARRAY1

creation make
   
feature
   
   make is
      local
	 a, b: NATIVE_ARRAY[CHARACTER];
      do
	 a := a.calloc(2);
	 a.put('a',0);
	 a.put('b',1);

	 is_true(a.item(0) = 'a');
	 is_true(a.item(1) = 'b');
	 a := a.realloc(2,1024);
	 is_true(a.item(0) = 'a');
	 is_true(a.item(1) = 'b');


	 b := b.calloc(2);
	 is_true(b.item(0) = '%/0/');
	 is_true(b.item(1) = '%U');
	 b.put('a',0);
	 b.put('b',1);
	 is_true(b.item(0) = 'a');
	 is_true(b.item(1) = 'b');
	 b := b.realloc(2,1024);
	 is_true(b.item(0) = 'a');
	 is_true(b.item(1) = 'b');


	 is_true(a.fast_memcmp(b,2));
	 is_true(a.memcmp(b,2));

         a.free;
         b.free;
      end;
   
   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_NATIVE_ARRAY1: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end
