-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_NATIVE_ARRAY5

creation make
   
feature
   
   make is
      local
	 a: NATIVE_ARRAY[NATIVE_ARRAY[CHARACTER]];
      do
	 a := a.calloc(2);
	 a.put(a.item(0).calloc(2),0);
	 a.put(a.item(1).calloc(2),1);

	 a.item(0).put('a',0);
	 a.item(0).put('b',1);
	 a.item(1).put('c',0);
	 a.item(1).put('d',1);

	 is_true(a.item(0).item(0) = 'a');
	 is_true(a.item(0).item(1) = 'b');
	 is_true(a.item(1).item(0) = 'c');
	 is_true(a.item(1).item(1) = 'd');

	 a.item(0).free;
	 a.item(1).free;
	 a.free;
      end;
   
   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_NATIVE_ARRAY5: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	    crash;
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end
