-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_NATIVE_ARRAY7

creation make
   
feature
   
   a: NATIVE_ARRAY[CHARACTER];

   make is
      do
	 a := a.calloc(2);
	 a.put('a',0);
	 a.put('b',1);
	 is_true(a.item(0) = 'a');
	 is_true(a.item(1) = 'b');
	 a := a.realloc(2,1024);
	 is_true(a.item(0) = 'a');
	 is_true(a.item(1) = 'b');
         a.free;
      end;
   
   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_NATIVE_ARRAY7: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	    crash;
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end
