-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_PLATFORM1

inherit PLATFORM;

creation make
   
feature 
   
   make is
      do
	 is_true(Boolean_bits >= Character_bits);
	 is_true(Boolean_bits = Integer_bits);
	 is_true(Double_bits >= Real_bits);
	 is_true(Pointer_bits > Character_bits);
	 is_true(Maximum_character_code > Minimum_character_code);
	 is_true(Maximum_integer > Minimum_integer);
	 is_true(Maximum_real > Minimum_real);
	 is_true(Maximum_real.to_double > Minimum_double);
	 is_true(Maximum_double > Minimum_double);
      end;
   
   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_PLATFORM1: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end -- TEST_PLATFORM1
