-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_RENAME5

creation make

feature

   make is
      local
	 aux_rename5a: AUX_RENAME5A;
	 aux_rename5b: AUX_RENAME5B;
	 aux_rename5c: AUX_RENAME5C;
      do
	 !!aux_rename5a;
	 !!aux_rename5b;
	 !!aux_rename5c.make;
	 aux_rename5a := aux_rename5c;
	 aux_rename5b := aux_rename5c;

	 is_true(aux_rename5a.mema = aux_rename5b.memb);
	 is_true(aux_rename5a.mema = aux_rename5c.memc);

	 is_true(aux_rename5b.memb = aux_rename5a.mema);
	 is_true(aux_rename5b.memb = aux_rename5c.memc);

	 is_true(aux_rename5c.memc = aux_rename5a.mema);
	 is_true(aux_rename5c.memc = aux_rename5b.memb);
      end;

feature {NONE}

   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_RENAME5: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;

end -- TEST_RENAME5

