-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_RESIZE1

creation make
   
feature 
   
   make is
      local
	 a: ARRAY[INTEGER];
      do
	 !!a.from_collection(<<0,0,0>>);
	 is_true(a.all_cleared);
	 a.set_all_with(1);
	 a.resize(1,0);
	 a.resize(1,3);
	 is_true(a.all_cleared);
	 a.put(1,3);
	 a.resize(-1,2);
	 is_true(a.all_cleared);
	 a.set_all_with(2);
	 a.resize(4,6);
	 is_true(a.all_cleared);
      end;

feature {NONE}

   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_RESIZE1: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end -- TEST_RESIZE1

