-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class BIT_N_REF
--
-- For implementation of class BIT_N (see BIT_N first).
-- Note : creation of BIT_N_REF object is done automatically 
-- by the compiler when assignment is done from BIT_N to a valid
-- reference class (BIT_N_REF or ANY for example). Do not use the
-- the standard Eiffel allocator : !!
--

inherit 
   ANY
      redefine out_in_tagged_out_memory, fill_tagged_out_memory
      end;

feature

   out_in_tagged_out_memory, fill_tagged_out_memory is
      do
	 bit_n.fill_tagged_out_memory;
      end;

feature {NONE}

   bit_n: BIT_N is
      external "SmallEiffel"
      end;

end
