-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class STD_ERROR
--
-- To write on the standard error output. As for UNIX, the default
-- standard error file is the screen.
--
-- Note: only one instance of this class should be necessary (have a look
-- in the root classes to search for the good name to use).
-- 
   
inherit OUTPUT_STREAM;
   
creation make
   
feature

   is_connected: BOOLEAN is true;

feature
   
   make is
      do
      end;
   
feature

   put_character(c: CHARACTER) is
      do
	 write_byte(stderr,c);
      end;

   flush is
      do
	 flush_stream(stderr);
      end;

feature {NONE}   
   
   stderr: POINTER is
      external "SmallEiffel"
      end;

end
