-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class ALL_CHECK_TEST1

creation make
   
feature 
   
   make is
      local
	 x: AUX_ALL_CHECK_TEST1;
      do
	 !!x.make;
	 is_true(x.invariant_count = 2);
	 is_true(x.require_count = 0);
	 is_true(x.ensure_count = 0);
	 is_true(x.invariant_count = 5);

	 x.foo;
	 is_true(x.require_count = 1);
	 is_true(x.ensure_count = 1);
	 is_true(x.invariant_count = 10);

	 x.bar;
	 is_true(x.require_count = 2);
	 is_true(x.ensure_count = 2);
	 is_true(x.invariant_count = 15);

      end;
   
   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("ALL_CHECK_TEST1: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end
