-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class DO_TEST

creation make

feature

   make is
      local
	 i: INTEGER;
      do
	 from
	    i := argument_count;
	 until
	    i = 0
	 loop
	    do_one_test(argument(i),"-boost");
	    do_one_test(argument(i),"-no_check");
	    do_one_test(argument(i),"-all_check");
	    i := i - 1;
	 end;
      end;

   do_one_test(test00: STRING; flags: STRING) is
      do
	 ext.clear;
	 ext.extend(test00.item(5));
	 ext.extend(test00.item(6));
	 exe.clear;
	 exe.append("test");
	 exe.append(ext);
	 cmd.clear;
	 cmd.append(get_environment_variable("SmallEiffel"));
	 cmd.append("/bin/compile -o ");
	 cmd.append(exe);
	 cmd.append(" ");
	 cmd.append(exe);
	 cmd.append(" ");
	 cmd.append(flags);
	 cmd.append(" c");
	 cmd.append(ext);
	 cmd.append(".c -cecil cecil");
	 cmd.append(ext);
	 cmd.append(".se");
	 system(cmd);
	 if file_exists(exe) then
	    std_output.put_character('.');
	    std_output.flush;
	 else
	    std_output.put_string("Error while compiling cecil test");
	    std_output.put_string(ext);
	    std_output.put_string("%N");
	 end;
	 std_output.put_character('.');
	 std_output.flush;
	 system(exe);
	 std_output.put_character('.');
	 std_output.flush;
	 remove_file(exe);
	 std_output.put_character('.');
	 std_output.flush;
      end;

   ext: STRING is
      once
	 !!Result.make(2);
      end;

   cmd: STRING is
      once
	 !!Result.make(128);
      end;

   exe: STRING is
      once
	 !!Result.make(6);
      end;

end
