-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_ADD1

creation make
   
feature 
   
   make is
      local
	 a: ARRAY[INTEGER];
	 fa: FIXED_ARRAY[INTEGER];
	 ll: LINK_LIST[INTEGER];
	 l2l: LINK2_LIST[INTEGER];
      do
	 !!a.make(1,0);
	 test(a);

	 !!a.make(-1,-2);
	 test(a);
	 
	 !!fa.make(0);
	 test(fa);

	 !!ll.make;
	 test(ll);

	 !!l2l.make;
	 test(l2l);
      end;

feature {NONE}

   test(c: COLLECTION[INTEGER]) is
      do
	 is_true(c.count = 0);
	 c.add(3,c.lower);
	 is_true(c.first = 3);
	 is_true(c.last = 3);

	 is_true(c.count = 1);
	 c.add(2,c.lower);
	 is_true(c.first = 2);
	 is_true(c.last = 3);

	 is_true(c.count = 2);
	 c.add(1,c.lower);
	 is_true(c.first = 1);
	 is_true(c.item(c.lower + 1) = 2);
	 is_true(c.last = 3);

	 is_true(c.count = 3);
	 c.add(5,c.upper + 1);
	 is_true(c.first = 1);
	 is_true(c.item(c.lower + 1) = 2);
	 is_true(c.item(c.lower + 2) = 3);
	 is_true(c.last = 5);

	 is_true(c.count = 4);
	 c.add(4,c.upper);
	 is_true(c.first = 1);
	 is_true(c.item(c.lower + 1) = 2);
	 is_true(c.item(c.lower + 2) = 3);
	 is_true(c.item(c.lower + 3) = 4);
	 is_true(c.last = 5);

	 is_true(c.count = 5);
	 c.clear;
	 
	 is_true(c.count = 0);
	 c.add(1,c.lower);
	 is_true(c.first = 1);
	 is_true(c.last = 1);

	 is_true(c.count = 1);
	 c.add(2,c.upper + 1);
	 is_true(c.first = 1);
	 is_true(c.last = 2);

	 is_true(c.count = 2);
	 c.add(3,c.upper + 1);
	 is_true(c.first = 1);
	 is_true(c.item(c.upper - 1) = 2);
	 is_true(c.last = 3);

	 is_true(c.count = 3);

	 c.add(4,c.lower + 1);
	 is_true(c.count = 4);
	 is_true(c.item(c.lower + 0) = 1);
	 is_true(c.item(c.lower + 1) = 4);
	 is_true(c.item(c.lower + 2) = 2);
	 is_true(c.item(c.lower + 3) = 3);
      end;

   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_ADD1: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	    crash;
	 else
	    --	    std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end
