-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_ANCHOR1

creation make
   
feature 

   make is
      local
	 a: AUX_ANCHOR1A;
	 b: AUX_ANCHOR1B;
      do
	 !!a;
	 is_true(a.generating_type.is_equal("AUX_ANCHOR1A"));
	 !!b;
	 is_true(b.generating_type.is_equal("AUX_ANCHOR1B"));

	 b := b.new_like_current;
	 is_true(b.generating_type.is_equal("AUX_ANCHOR1B"));

	 a := a.new_like_current;
	 is_true(a.generating_type.is_equal("AUX_ANCHOR1A"));

	 !AUX_ANCHOR1B!a;
	 a := a.new_like_current;
	 is_true(a.generating_type.is_equal("AUX_ANCHOR1B"));
      end
   
feature {NONE}

   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_ANCHOR1: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;

end -- TEST_ANCHOR1
