-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_ANY

creation {ANY}
   make
   
feature {ANY}
   
   a1: ANY;
   
   make is
      local
	 a2: ANY;
	 c: like Current;
      do
	 is_true(a1 = a2);
	 is_true(equal(a1,a2));
	 
	 a1 := Current;
	 is_true(not equal(a1,a2));
	 is_true(equal(a1,Current));
	 
	 c ?= a1;
	 is_true(is_equal(c));
	 
      end;
   
   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_ANY: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end -- TEST_ANY
