-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_BIT13

creation make

feature 

   make is
      local
	 i16, i8: INTEGER;
	 bit_8: BIT 8;
	 bit_16: BIT 16;
      do
	 bit_8  :=         00101010B;
	 bit_16 := 0011111110101010B;
	 bit_16 := bit_8;
	 from
	    i16 := 1;
	 until
	    i16 > 8
	 loop
	    is_true(not bit_16.item(i16));
	    i16 := i16 + 1;
	 end;
	 from
	    i8 := 1;
	 until
	    i16 > 16
	 loop
	    is_true(bit_16.item(i16) = bit_8.item(i8));
	    i16 := i16 + 1;
	    i8 := i8 + 1;
	 end;
	 is_true(i16 = 17);
	 is_true(i8 = 9);
      end

feature {NONE}
   
   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_BIT14: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    --std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;

end 
