-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_BIT7

creation make
   
feature
   
   make is
      local
         b1, b2: BIT 8;
      do
         b2 := 11111111B;
	 b1 := b2;
         is_true(b1 = b2);

         b1 := b1 ^ 3;
         b2 := 00011111B;
         is_true(b1 = b2);

         b1 := b1 ^ -2;
         b2 := 01111100B;
         is_true(b1 = b2);
      end;

feature {NONE}

   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_BIT7: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end
