-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_BIT8

creation make
   
feature
   make is do end;

   make_bug is
      -- ********** BUG ***********
      local
         b1, b2: BIT 32;
      do
	 is_true(b1.is_equal(b2));
	 is_true(b1 = b2);
	 is_true(not (b1 /= b2));
         b2 := 00111111111000111111111111110001B;
	 is_true(not b1.is_equal(b2));
	 is_true(not (b1 = b2));
	 is_true(b1 /= b2);

	 b1 := b2 ^ 3;
         b2 := 00000111111111000111111111111110B;
	 is_true(b1.is_equal(b2));
	 is_true(b1 = b2);
	 is_true(not (b1 /= b2));
      end;

feature {NONE}

   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_BIT8: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end
