-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_BIT9
   -- From Dietmar WOLZ
creation make

feature 

   make is
      local
	 i : INTEGER;
	 z : INTEGER;
	 ccrc : BIT 8;
	 key : FIXED_ARRAY[BOOLEAN]
      do
	 !!key.make(128);
	 -- set bits 1-120 to 0 0 0 0 0 1 0 0 0 0 1 ...
	 from 
	    i := key.lower;
	 until 
	    i > key.upper - 8
	 loop
	    key.put( ((i-1) \\ 5) = 0, i);
	    i := i + 1;
	 end;
	 -- set bits 121-128 to 0 0 0 0 0 0 0 0
	 from 
	    i := key.upper - 8;
	 until 
	    i > key.upper 
	 loop
	    key.put(false,i);
	    i := i + 1;
	 end;
	 -- calculate CRC 10 times
	 from 
	    z := 1 
	 until 
	    z > 10 
	 loop
	    ccrc := parity(key);
	    z := z + 1;
	 end;
	 -- print(ccrc); 
      end
 
   parity(key: FIXED_ARRAY[BOOLEAN]): BIT 8 is
      local
	 bit7: BOOLEAN;
	 i: INTEGER;
      do
	 Result := 00000000B;
	 from 
	    i := key.lower;
	 until 
	    i > key.upper
	 loop
	    bit7 := Result.item(8);
	    Result.put((Result.item(7)) xor bit7, 7);
	    Result.put((Result.item(2)) xor bit7, 2);
	    Result := Result ^ -1;
	    Result.put((key @ i) xor bit7, 1);
	    i := i + 1;
	 end
      end
   
end 
