-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_CONFORMS_TO1

creation make

feature

   make is
      local
	 c1, c2: CAT;
	 d1, d2: DOG;
	 a, a2: ANIMAL;
      do
	 !!c1;
	 !!d1;
	 !!c2;
	 !!d2;

	 a := c2;
	 is_true(c1.conforms_to(a));
	 is_true(a.conforms_to(a));
	 is_true(a.conforms_to(c1));

	 a := d2;
	 is_true(d2.conforms_to(a));
	 is_true(a.conforms_to(d2));

	 is_true(not c1.conforms_to(a));
	 is_true(not c1.conforms_to(d1));

	 a := c1;
	 a2 := c2;
	 is_true(a2.conforms_to(a));
	 a2 := d2;
	 is_true(not a2.conforms_to(a));

      end;

   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_CONFORMS_TO1: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end
