-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_CONFORMS_TO2

creation make

feature

   make is
      local
	 ai: ARRAY[INTEGER];
	 ar: ARRAY[REAL];
	 ac: ARRAY[CHARACTER];

      do
	 ai := <<1,2>>;
	 ar := <<1.2>>;
	 ac := <<'a'>>;

	 is_true(ar.conforms_to(ar));
	 is_true(ar.conforms_to(ai));
	 is_true(not ai.conforms_to(ar));

	 is_true(not ai.conforms_to(ac));
      end;

   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_CONFORMS_TO2: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end
