-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_EXPANDED18

creation make

feature


   make is
      local
	 a: AUX_EXPANDED18A;
	 b: AUX_EXPANDED18B;
	 c: expanded AUX_EXPANDED18C;
      do
	 is_true(a.value1 = 0);
	 is_true(a.value2 = '%/0/');

	 a.make;
	 is_true(a.value1 = 1);
	 is_true(a.value2 = 'A');

	 !!a;
	 is_true(a.value1 = 0);
	 is_true(a.value2 = '%/0/');

	 a.make;
	 !AUX_EXPANDED18A!a;
	 is_true(a.value1 = 0);
	 is_true(a.value2 = '%/0/');

	 
	 is_true(b.value1 = 1);
	 is_true(b.value2 = 'A');

	 b.clear;
	 is_true(b.value1 = 0);
	 is_true(b.value2 = '%/0/');

	 !!b.make;
	 is_true(b.value1 = 1);
	 is_true(b.value2 = 'A');

	 b.clear;
	 !AUX_EXPANDED18B!b.make;
	 is_true(b.value1 = 1);
	 is_true(b.value2 = 'A');

	 is_true(c.value1 = 1);
	 is_true(c.value2 = 'A');

	 c.clear;
	 is_true(c.value1 = 0);
	 is_true(c.value2 = '%/0/');
	 
	 !!c.make;
	 is_true(c.value1 = 1);
	 is_true(c.value2 = 'A');

      end;

   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_EXPANDED18: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;

end
