-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_IN_RANGE

creation make
   
feature 
   
   make is
      do
	 is_true((2).in_range(1,3));
	 is_true((1).in_range(1,3));
	 is_true((3).in_range(1,3));
	 is_true(not ((4).in_range(1,3)));

	 is_true( 1.5 < 2.0);
	 is_true( 1.5 <= 2.0);
	 is_true( (1.5).to_double < 2.0);
	 is_true( (1.5).to_double <= 2.0);

	 is_true( 2.5 > 2.0);
	 is_true( 2.5 >= 2.0);
	 is_true( (2.5).to_double > 2.0);
	 is_true( (2.5).to_double >= 2.0);

	 is_true((1.5).in_range(1.0,2.0));
	 is_true((1.0).in_range(1.0,2.0));


	 is_true(("aac").in_range("aaa","ccc"));
      end;
   
   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_IN_RANGE: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    --std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end
