-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_INHERIT1
-- From a bug report of Philippe REITZ

creation make

feature

   make is 
      local
	 oa: AUX_INHERIT1A;
	 ob: AUX_INHERIT1B;
	 oc: AUX_INHERIT1C;
	 t: ARRAY[AUX_INHERIT1A];
	do
	   !!oa; !!ob; !!oc;
	   t := <<oa,ob,oc>>;
	   
	   oa := t.item(1);
	   is_true(oa.a_count = 0);
	   is_true(oa.b_count = 0);
	   is_true(oa.c_count = 0);
	   oa.fonc;
	   is_true(oa.a_count = 1);
	   is_true(oa.b_count = 0);
	   is_true(oa.c_count = 0);

	   oa := t.item(2);
	   is_true(oa.a_count = 0);
	   is_true(oa.b_count = 0);
	   is_true(oa.c_count = 0);
	   oa.fonc;
	   is_true(oa.a_count = 1);
	   is_true(oa.b_count = 1);
	   is_true(oa.c_count = 0);

	   oa := t.item(3);
	   is_true(oa.a_count = 0);
	   is_true(oa.b_count = 0);
	   is_true(oa.c_count = 0);
	   oa.fonc;
	   is_true(oa.a_count = 1);
	   is_true(oa.b_count = 0);
	   is_true(oa.c_count = 1);

	end

feature {NONE}
   
   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_INHERIT1: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;



end
