-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_INHERIT5

inherit
    AUX_INHERIT5
      redefine foo
      end;
    AUX_INHERIT5
      rename foo as aux_foo
      select aux_foo
      end;

creation make

feature

   foo is
      do
	 aux_foo;
	 foo_count := foo_count + 1;
      end;

   make is
      local
	 aux: AUX_INHERIT5;
      do
	 is_true(foo_count = 0);
	 aux := Current;
	 aux.foo;
	 is_true(foo_count = 1);
	 foo;
	 is_true(foo_count = 3);
      end;

feature {NONE}

   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_INHERIT5: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end
