-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_NATIVE_ARRAY8

creation make
   
feature
   
   make is
      local
	 a, b: NATIVE_ARRAY[ANY];
	 cat: CAT;
	 dog: DOG;
      do
	 !!cat;
	 !!dog;
	 a := a.calloc(2);
	 a.put(cat,0);
	 a.put(dog,1);
	 is_true(a.item(0) = cat);
	 is_true(a.item(1) = dog);
	 a := a.realloc(2,1024);
	 is_true(a.item(0) = cat);
	 is_true(a.item(1) = dog);


	 b := b.calloc(2);
	 is_true(b.item(0) = Void);
	 is_true(b.item(1) = Void);
	 b.put(cat,0);
	 b.put(dog,1);
	 is_true(b.item(0) = cat);
	 is_true(b.item(1) = dog);
	 b := b.realloc(2,1024);
	 is_true(b.item(0) = cat);
	 is_true(b.item(1) = dog);


	 is_true(a.fast_memcmp(b,2));
	 is_true(a.memcmp(b,2));

         a.free;
         b.free;
      end;
   
   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_NATIVE_ARRAY8: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	    crash;
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end
