-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_OBJECT_SIZE4

creation make
   
feature 
   
   make is
      local
	 mem: MEMORY;
	 s, s2: INTEGER;
	 str: STRING;
	 a: ARRAY[STRING];
      do
	 s := (1).object_size;
	 s := s * 3; -- Object ID + count + capacity
	 s := s + mem.pointer_size;
	 str := "bar";
	 s2 := str.object_size;
	 is_true(("foo").object_size >= (s-(1).object_size));
	 --                          * 
	 -- Because alignment for 64 bit machines.

	 s := s + (1).object_size;
	 
	 a := <<"foo">>;
	 s2 := a.object_size;
	 is_true((<<"foo">>).object_size > 0);
      end;

feature {NONE}

   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_OBJECT_SIZE4: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end -- TEST_OBJECT_SIZE4
