-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_PARAM
-- From a bug report of Christophe REMY

creation make
   
feature {NONE}

   table : DICTIONARY[INTEGER,INTEGER];
   
feature 

   make is
      do 
	 !!table.make;
	 ecrire01(10,15);
	 is_true((table @ 10) = 15);

	 !!table.make;
	 ecrire02(10,15);
	 is_true((table @ 10) = 10);

	 !!table.make;
	 ecrire03(10,15);
	 is_true((table @ 15) = 11);

	 !!table.make;
	 ecrire04(10,15);
	 is_true((table @ 15) = 12);

	 !!table.make;
	 ecrire05(10,15);
	 is_true((table @ (-8)) = 15);

	 !!table.make;
	 ecrire06(10,15);
	 is_true((table @ 8) = 16);

	 !!table.make;
	 ecrire07(10,15);
	 is_true((table @ 15) = -10);

	 !!table.make;
	 ecrire08(10,15);
	 is_true((table @ 12) = 12);
      end;
   
   ecrire01(a, b: INTEGER) is
      do	
	 table.put(b,a);
      end;
   
   ecrire02(a, b: INTEGER) is
      do	
	 table.put(a,a);
      end;
   
   ecrire03(a, b: INTEGER) is
      do	
	 table.put(a + 1, b);
      end;
   
   ecrire04(a, b: INTEGER) is
      do	
	 table.put(2 + a, b);
      end;

   ecrire05(a, b: INTEGER) is
      do	
	 table.put(b,2 - a);
      end;

   ecrire06(a, b: INTEGER) is
      do	
	 table.put(b + 1,a - 2);
      end;

   ecrire07(a, b: INTEGER) is
      do	
	 table.put(-a,+b);
      end;

   ecrire08(a, b: INTEGER) is
      do	
	 table.put(a + (1 + 1),b - (4 - 1));
      end;

   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_PARAM: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;

end

