-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_PLATFORM2

inherit PLATFORM;

creation make
   
feature 
   
   make is
      do
	 is_true(Character_bits >= 8);
	 is_true(Boolean_bits >= 16);
	 is_true(Integer_bits >= 16);
	 is_true(Real_bits >= 32);
	 is_true(Double_bits >= Real_bits);
	 is_true(Pointer_bits >= 24);
	 is_true(Maximum_integer >= 32768);
      end;
   
   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_PLATFORM2: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end -- TEST_PLATFORM2
