-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_REMOVE1

creation make
   
feature 
   
   make is
      local
	 fa: FIXED_ARRAY[INTEGER];
	 ll: LINK_LIST[INTEGER];
	 l2l: LINK2_LIST[INTEGER];
      do
	 test(<<1,2,3,4,5>>);
	 
	 !!fa.from_collection(<<1,2,3,4,5>>);
	 test(fa);

	 !!ll.from_collection(<<1,2,3,4,5>>);
	 test(ll);

	 !!l2l.from_collection(<<1,2,3,4,5>>);
	 test(l2l);
      end;

feature {NONE}

   test(c: COLLECTION[INTEGER]) is
      do
	 is_true(c.count = 5);
	 is_true(c.first = 1);
	 is_true(c.item(c.lower + 1) = 2);
	 is_true(c.item(c.lower + 2) = 3);
	 is_true(c.item(c.lower + 3) = 4);
	 is_true(c.last = 5);

	 c.remove(c.lower);
	 is_true(c.count = 4);
	 is_true(c.first = 2);
	 is_true(c.item(c.lower + 1) = 3);
	 is_true(c.item(c.lower + 2) = 4);
	 is_true(c.last = 5);

	 c.remove(c.upper);
	 is_true(c.count = 3);
	 is_true(c.first = 2);
	 is_true(c.item(c.lower + 1) = 3);
	 is_true(c.last = 4);

	 c.remove(c.lower + 1);
	 is_true(c.count = 2);
	 is_true(c.first = 2);
	 is_true(c.last = 4);

	 c.remove(c.upper);
	 is_true(c.count = 1);
	 is_true(c.first = 2);
	 is_true(c.last = 2);

	 c.remove(c.upper);
	 is_true(c.count = 0);
      end;

   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_REMOVE1: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	    crash;
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end
