-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_RESIZE2

creation make
   
feature 
   
   make is
      local
	 a: FIXED_ARRAY[INTEGER];
      do
	 !!a.from_collection(<<1,2,3,4,5>>);
	 a.resize(0);
	 is_true(a.all_cleared);
	 a.resize(5);
	 is_true(a.all_cleared);
	 a.put(3,3);
	 is_true(not a.all_cleared);
	 a.resize(6);
	 is_true(not a.all_cleared);
	 a.resize(4);
	 is_true(not a.all_cleared);
	 a.resize(3);
	 is_true(a.all_cleared);
	 a.put(3,0);
	 is_true(not a.all_cleared);
	 a.resize(1);
	 is_true(not a.all_cleared);
	 a.resize(0);
	 is_true(a.all_cleared);
      end;

feature {NONE}

   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_RESIZE2: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end -- TEST_RESIZE2

