-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_SET_ALL_WITH2

   -- Test feature `set_all_with' of various implementations.

creation make
   
feature 
   
   make is
      local
	 a: ARRAY[DOUBLE];
	 fa: FIXED_ARRAY[DOUBLE];
	 ll: LINK_LIST[DOUBLE];
	 l2l: LINK2_LIST[DOUBLE];
      do
	 !!a.make(1,10);
	 test(a);
	 !!fa.make(10);
	 test(fa);
	 !!ll.make;
	 ll.add_last(1);
	 ll.add_last(1);
	 test(ll);
	 !!l2l.make;
	 l2l.add_last(1);
	 l2l.add_last(1);
	 test(l2l);
      end;

feature {NONE}

   test(c: COLLECTION[DOUBLE]) is
      do
	 c.set_all_with(2.55);
	 is_true(c.nb_occurrences(2.55) = c.count);
      end;

   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_SET_ALL_WITH2: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end -- TEST_SET_ALL_WITH2
